from pychart import *

data = [ (0, 10, 30, 40, 60),
         (10, 20, 40, 50, 55),
         (20, 10, 35, 38, 43),
         (30, 8, 30, 35, 39),
         (40, 8, 20, 28, 39) ]

ar = area.T(x_axis = axis.X(label="X axis"),
            y_axis = axis.Y(label="Y axis", grid_interval = 10, grid_style = line_style.white),
            y_grid_over_plot=1, legend = legend.T())

if theme.use_color:
    colors = [ fill_style.dark_sea_green, fill_style.white, fill_style.brown]
else:
    colors = [ fill_style.gray9, fill_style.white, fill_style.gray5]
ar.add_plot(range_plot.T(label="foo", data=data, fill_style = colors[0]))
ar.add_plot(range_plot.T(label="bar", data=data, min_col=2, max_col=3,
                         fill_style = colors[1]))
ar.add_plot(range_plot.T(label="baz", data=data, min_col=3, max_col=4, fill_style = colors[2]))
ar.draw()

